From 848886d6e6d72d34d1b922384f64f5efe58443c3 Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Apr 03 2022 20:21:37 +0000
Subject: [PATCH 22/28] [xen]: avoid publishing 'any' docs package to 32-bit repos


---

diff --git a/pcr/xen/PKGBUILD b/pcr/xen/PKGBUILD
index 80b0f50..ae6e2a6 100644
--- a/pcr/xen/PKGBUILD
+++ b/pcr/xen/PKGBUILD
@@ -23,7 +23,7 @@ pkgbase=xen
 pkgname=("xen" "xen-docs")
 pkgver=4.16.0
 pkgrel=3
-pkgdesc='Open-source type-1 or baremetal hypervisor'
+pkgdesc='Type-1 or bare-metal hypervisor'
 arch=('x86_64')
 url='https://xenproject.org/'
 license=('GPL2')
@@ -53,10 +53,11 @@ validpgpkeys=('23E3222C145F4475FA8060A783FE14C957E82BD9') # Xen.org Xen tree cod
 
 # Follow the Xen securite mailing lists, and if a patch is applicable to our package
 # add the URL here.
+# Better yet, add the patch to abslibre :)
 _patches=(
-	"https://xenbits.xen.org/xsa/xsa393.patch"
-	"https://xenbits.xen.org/xsa/xsa394.patch"
-	"https://xenbits.xen.org/xsa/xsa395.patch"
+	"xsa393.patch"
+	"xsa394.patch"
+	"xsa395.patch"
 
 )
 
@@ -210,7 +211,7 @@ build() {
 }
 
 package_xen() {
-	pkgdesc='Open-source type-1 or baremetal hypervisor'
+	pkgdesc='Type-1 or baremetal hypervisor'
 
 	depends=(
 		'zlib' 'python' 'ncurses' 'openssl' 'libx11' 'libuuid.so' 'yajl' 'libaio' 'glib2' 'pkgconf'
@@ -320,7 +321,7 @@ package_xen() {
 
 package_xen-docs() {
 	pkgdesc="Xen hypervisor documentation and man pages"
-	arch=("any")
+	arch=("x86_64") # no reason to publish this package to 32-bit repos
 	cd "${pkgbase}-${pkgver}"
 	make "${_common_make_flags[@]}" DESTDIR="$pkgdir" install-docs
 }
